Subject: linux-next: manual merge of the driver-core tree with the battery tree

From: [email-masked]
Date: Mon, 21 Feb 2022 19:11:31 +0000

Hi all,

Today's linux-next merge of the driver-core tree got a conflict in:

  drivers/power/supply/ab8500_chargalg.c

between commits:

  75ee3f6f0c1a0 ("power: supply: ab8500_chargalg: Drop enable/disable sysfs")
  05906f58c8225 ("power: supply: ab8500_chargalg: Drop charging step")
  d662a7df36e1e ("power: supply: ab8500: Swap max and overvoltage")

from the battery tree and commit:

  a8e223094c7a8 ("power_supply: ab8500: use default_groups in kobj_type")

from the driver-core tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

diff --cc drivers/power/supply/ab8500_chargalg.c
index b5a3096e78a14,64a3f5bbfff14..0000000000000
--- a/drivers/power/supply/ab8500_chargalg.c
+++ b/drivers/power/supply/ab8500_chargalg.c
@@@ -254,12 -279,12 +254,6 @@@ static enum power_supply_property ab850
  	POWER_SUPPLY_PROP_HEALTH,
  };
  
--struct ab8500_chargalg_sysfs_entry {
--	struct attribute attr;
--	ssize_t (*show)(struct ab8500_chargalg *di, char *buf);
--	ssize_t (*store)(struct ab8500_chargalg *di, const char *buf, size_t length);
--};
--
  /**
   * ab8500_chargalg_safety_timer_expired() - Expiration of the safety timer
   * @timer:     pointer to the hrtimer structure